Skip to main content
PUT
/
environments
/
{org}
/
{env_name}
/
report
/
K8S
Report K8S environment
curl --request PUT \
  --url https://app.kosli.com/api/v2/environments/{org}/{env_name}/report/K8S \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "artifacts": [
    {
      "podName": "<string>",
      "namespace": "<string>",
      "digests": {},
      "creationTimestamp": 123,
      "owners": [
        {
          "apiVersion": "<string>",
          "kind": "<string>",
          "name": "<string>",
          "uid": "<string>",
          "controller": true,
          "blockOwnerDeletion": true
        }
      ]
    }
  ],
  "type": "K8S"
}
'
{
  "message": "<string>",
  "errors": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

env_name
string
required
org
string
required

Body

application/json

K8S report containing pod artifacts

artifacts
K8SArtifact · object[]
required

all artifacts in the report

type
string
default:K8S

Environment type

Allowed value: "K8S"

Response

Report processed successfully, no new snapshots to create

Last modified on April 9, 2026